Bug 885080 - diskdevstat: total-duration vs total-interval in usage
Summary: diskdevstat: total-duration vs total-interval in usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tuned
Version: 6.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 13:07 UTC by Branislav Blaškovič
Modified: 2015-08-27 12:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The diskdevstat and netdevstat code were not consistent in naming the parameters in the built-in help. Consequence: There are used "total-duration" and "total-interval" to name the same thing. Fix: The text was updated to be consistent. Result: Now the string "total-duration" is only used.
Clone Of:
Environment:
Last Closed: 2013-11-21 11:33:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed fix (1.32 KB, patch)
2013-07-23 20:09 UTC, Jaroslav Škarvada
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1623 0 normal SHIPPED_LIVE tuned bug fix and enhancement update 2013-11-20 21:38:38 UTC

Description Branislav Blaškovič 2012-12-07 13:07:20 UTC
Description of problem:

  The usage of diskdevstat looks like this:

  A simple systemtap script to record harddisk activity of processes and display
  statistics for read/write operations.

  usage: diskdevstat [update-interval] [total-duration] [display-histogram]

         update-interval      in seconds, the default is 5
         total-interval       in seconds, the default is 86400
         display-histogram    anything, unset by default

  It can be confusing to have "total-duration" and then "total-interval" to name the same thing. 

Version-Release number of selected component (if applicable):

  # rpm -q tuned tuned-utils
  tuned-0.2.19-9.el6.noarch
  tuned-utils-0.2.19-9.el6.noarch

Comment 3 RHEL Program Management 2012-12-14 08:27:38 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Jaroslav Škarvada 2013-07-23 20:09:54 UTC
Created attachment 777452 [details]
Proposed fix

Comment 10 errata-xmlrpc 2013-11-21 11:33:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1623.html


Note You need to log in before you can comment on or make changes to this bug.